Skip to main content
GET
List project schedules

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Query Parameters

runtime_target_kind
enum<string> | null
Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
status
enum<string>
Available options:
active,
paused,
deleting
limit
integer
default:100
Required range: 1 <= x <= 200
source_trigger_id
string
Required string length: 1 - 255
source_target_kind
enum<string>
Available options:
project,
main_branch,
environment,
preview_branch
sort_by
enum<string>
default:created_at
Available options:
created_at,
name
sort_order
enum<string>
default:desc
Available options:
asc,
desc
cursor
string<uuid>

The page_info.next of the previous page: the id of its last schedule. Keep the filters, sort_by and sort_order the same across pages. Only schedules is paged; source_schedules is listed on the first page only.

Response

Project schedules

schedules
object[]
required
page_info
object
required
source_schedules
object[]
diagnostics
object[]